| digiKam Developer Documentation Professional Photo Management with the Power of Open Source

Loading...
Searching...
No Matches
Public Member Functions | Static Public Member Functions | Static Public Attributes | List of all members
Digikam::BalooWrap Class Reference

The BalooWrap class is a singleton class which offer functionality for reading and writing image comment, tags and rating from Baloo to digiKam and from digiKam to Baloo. More...

Inheritance diagram for Digikam::BalooWrap:

## Public Member Functions
BalooInfo | getSemanticInfo (const QUrl &url) const
| getSemanticInfo - used by ItemScanner to retrieve all information tags, comment, rating
bool | getSyncToBaloo () const
bool | getSyncToDigikam () const
void | setSemanticInfo (const QUrl &url, const BalooInfo &bInfo)
| setSemanticInfo - generic method to set all data from digiKam to Baloo
void | setSyncToBaloo (bool value)
void | setSyncToDigikam (bool value)

## Static Public Member Functions
static BalooWrap * | instance ()
static bool | isCreated ()

## Static Public Attributes
static QPointer< BalooWrap > | internalPtr = QPointer<BalooWrap>()
| internalPtr - singleton implementation

## Detailed Description

The singleton functionality is required because it also watches for changes in Baloo and notify digiKam, so it could trigger a scan

## Member Function Documentation

## ◆ getSemanticInfo()

BalooInfo Digikam::BalooWrap::getSemanticInfo | ( | const QUrl & | url | ) | const

Parameters

  url | - image url

Returns
  - container class for tags, comment, rating

## ◆ setSemanticInfo()

void Digikam::BalooWrap::setSemanticInfo | ( | const QUrl & | url,
|  | const BalooInfo & | bInfo
| ) |  |

Parameters

  url | - image url
  bInfo | - container class for tags, comment, rating